/* Header file for 
 * Date: 
 * Author: Matteo Lucarelli
******************************************************************/

#if !defined(FILEINFO_H_INCLUDED)
#define FILEINFO_H_INCLUDED

// #define...

#include <string.h>
#include <stdlib.h>

class FileInfo
{
public:

	// add a new file
	FileInfo(const char* name,	// file name
		const char* basedir,	// complete path without name
		const char* subdir);	// path relative to search dir

	virtual ~FileInfo();

	// add a new copy found
	void AddFound(const char* name,
		const char* basedir,	// complete path without name
		const char* sub,		// path relative to search dir
		bool isequal);			// diff output

	char* m_name;
	char* m_subdir;
	char* m_basedir;

	int m_FoundCount;
	char** m_FoundBasedir;
	char** m_FoundSubdir;
	char** m_FoundName;
	bool* m_isEqual;

private:
};

#endif // !defined(FILEINFO_H_INCLUDED)
