/*	Header file for cpp class
 *	Date: 11/09/2005
 *	Author: Matteo Lucarelli
******************************************************************/
// NEED: .... aggiungere le librerie necessarie!

#if !defined(UIDIFF_H_INCLUDED)
#define UIDIFF_H_INCLUDED

#include <stdlib.h>
#include <FL/Fl.H>
#include <FL/Fl_Overlay_Window.H>
#include "DiffView.h"

class UIdiff : public Fl_Overlay_Window
{
public:

	UIdiff(	const char* file1, 
			const char* file2,
			const char* label=NULL,
			int x=0,
			int y=0, 
			int w=640, 
			int h=480);
	virtual ~UIdiff();

private:
	
	DiffView* dv;
	void draw_overlay();

};

#endif // !defined(UIDIFF_H_INCLUDED)
